aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2021-05-10 22:27:10 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2021-05-10 22:27:10 +0200
commit38c434c01285b284367d2533636770f2ea6aff56 (patch)
tree526ab1891884189b2fb669de29f822c3a15250c3
parent189cba49e3f230fe081a02efd08604ee8c6aa40e (diff)
Extend wait time for compositor restart
This fixes slow (e.g. mesa) startup. Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org> Change-Id: I10ef1e14ca97370c59984b5d848b90e6cbb9d40b
-rwxr-xr-xcommon/scripts/agl-screenshot-test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/common/scripts/agl-screenshot-test.sh b/common/scripts/agl-screenshot-test.sh
index b9d934f..8005e5f 100755
--- a/common/scripts/agl-screenshot-test.sh
+++ b/common/scripts/agl-screenshot-test.sh
@@ -35,6 +35,12 @@ if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
sleep 60
fi
if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
+# e.g. qemu-system-arm takes loooong
+ echo "Waiting for compositor to initialize (+120sec)."
+ sleep 120
+fi
+
+if ! grep -q 'Usable area:' /run/platform/display/compositor.log ; then
echo "Marker ('Usable area:') not found. Dumping log."
echo "##################################"
cat /run/platform/display/compositor.log